### Method

# Gimp Drawable hue_saturation

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_hue_saturation (
      GimpDrawable* drawable,
      GimpHueRange hue_range,
      gdouble hue_offset,
      gdouble lightness,
      gdouble saturation,
      gdouble overlap
    )

#### Description [src]

Modify hue, lightness, and saturation in the specified drawable.

This procedure allows the hue, lightness, and saturation in the specified drawable to be modified. The ‘hue-range’ parameter provides the capability to limit range of affected hues. The ‘overlap’ parameter provides blending into neighboring hue channels when rendering.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:hue-saturation” instead.

#### Parameters

`hue_range`

  Type: `GimpHueRange`

  Range of affected hues.

`hue_offset`

  Type: `gdouble`

  Hue offset in degrees.

`lightness`

  Type: `gdouble`

  Lightness modification.

`saturation`

  Type: `gdouble`

  Saturation modification.

`overlap`

  Type: `gdouble`

  Overlap other hue channels.

#### Return value

Type: `gboolean`

TRUE on success.